﻿using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Attributes;
using ZhonTai.Admin.Core.Consts;
using ZhonTai.Admin.Domain.User;
using ZhonTai.Admin.Services.DiTuiAPI.Dto;
using ZhonTai.DynamicApi;
using ZhonTai.DynamicApi.Attributes;

namespace ZhonTai.Admin.Services.DiTuiAPI
{
    /// <summary>
    /// 前端接口
    /// </summary>
    [DynamicApi(Area = AdminConsts.DiTuiName)]
    public class DiTuiAPIService : BaseService, IDiTuiAPIService, IDynamicApi
    {
        private readonly IUserRepository _userRepository;
        public DiTuiAPIService(IUserRepository userRepository)
        {
            _userRepository = userRepository;
        }

        [HttpPost]
        [AllowAnonymous]
        [NoOprationLog]
        public Task<dynamic> LoginAsync(LoginInput input)
        {            
            throw new NotImplementedException();
        }
    }
}
